using System;
using NinjaTrader.Cbi;

internal sealed class Delegate341 : MulticastDelegate
{
	public extern void Invoke(object sender, EventHandler<ExecutionEventArgs> e);

	public static void smethod_0(object object_0, EventHandler<ExecutionEventArgs> eventHandler_0, Delegate341 delegate341_1)
	{
		delegate341_1(object_0, eventHandler_0);
	}

	public extern Delegate341(object object_0, IntPtr intptr_0);

	static Delegate341()
	{
		Class10.smethod_13(typeof(Delegate341).TypeHandle);
	}

	internal static Delegate341 delegate341_0;
}
